Class::Accessor::Chained(3)

NAME
Class::Accessor::Chained - make chained accessors

SYNOPSIS
 package Foo;
 use base qw( Class::Accessor::Chained );
 __PACKAGE__->mk_accessors(qw( foo bar baz ));

 my $foo = Foo->new->foo(1)->bar(2)->baz(4);
 print $foo->bar; # prints 2

DESCRIPTION
A chained accessor is one that always returns the object when called with parameters (to set), and the value of the field when called with no arguments.

This module subclasses Class::Accessor in order to provide the same mk_accessors interface.

AUTHOR
Richard Clamp <richardc@unixbeard.net>

COPYRIGHT
Copyright (C) 2003 Richard Clamp. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Class::Accessor, Class::Accessor::Chained::Fast